/*
 * This file is part of the TDE Character Generator (TCG).
 *
 * TCG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TCG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TCG.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.bernhardjung.dsaprogramm.basis.heldio;

class HeldXmlTags {

    /** Gibt bei einem Talent an ob es aktiviert ist. */
    public static final String ATTR_AKTIVIERT = "Aktiviert";

    /** Eigenschaft der Klasse Variante. */
    public static final String ATTR_APKOSTEN = "ApKosten";

    /**
     * Enthaelt die Punkte, die bei einer Kampffertigkeit, auf Attacke verteilt
     * wurden.
     */
    public static final String ATTR_ATTACKE = "Attacke";

    /** Enthaelt die Basisstufe einer Eigenschaft. */
    public static final String ATTR_BASISSTUFE = "Basisstufe";

    /** Enthaelt die Id eines Basiswerts. */
    public static final String ATTR_BASISWERT = "Basiswert";

    /** Enthaelt den Bonus auf einen Basiswert. */
    public static final String ATTR_BONUS = "Bonus";

    /** Enthaelt die Behinderung einer Ruestung. */
    public static final String ATTR_BE = "Be";

    /** Enthaelt den Bruchfaktor einer Nahkampfwaffe. */
    public static final String ATTR_BF = "Bf";

    /**
     * Gibt an ob eine Nahkampfwaffe in Distanzklasse Handgemenge gefuehrt
     * werden kann.
     */
    public static final String ATTR_DK_H = "DkH";

    /**
     * Gibt an ob eine Nahkampfwaffe in Distanzklasse Nahkampf gefuehrt
     * werden kann.
     */
    public static final String ATTR_DK_N = "DkN";

    /**
     * Gibt an ob eine Nahkampfwaffe in Distanzklasse Stangenwaffen gefuehrt
     * werden kann.
     */
    public static final String ATTR_DK_S = "DkS";

    /** Enthaelt die Id einer Eigenschaft. */
    public static final String ATTR_EIGENSCHAFT = "Eigenschaft";

    /** Enthaelt die Id einer Eigenschaft. */
    public static final String ATTR_EIGENSCHAFT1 = "Eigenschaft1";

    /** Enthaelt die Id einer Eigenschaft. */
    public static final String ATTR_EIGENSCHAFT2 = "Eigenschaft2";

    /** Enthaelt die Id einer Eigenschaft. */
    public static final String ATTR_EIGENSCHAFT3 = "Eigenschaft3";

    /** Enthaelt die Id einer Fernkampfwaffe. */
    public static final String ATTR_FERNKAMPFWAFFE = "Fernkampfwaffe";

    /** Eigenschaft der Klasse Variante. */
    public static final String ATTR_GPKOSTEN = "GpKosten";

    /** Eigenschaft der Klasse Variante. */
    public static final String ATTR_HAT_STUFEN = "HatStufen";

    /** Eigenschaft der Klasse Variante. */
    public static final String ATTR_HOECHSTSTUFE = "Hoechststufe";

    /** Enthaelt den Initiativemodifikator einer Waffe. */
    public static final String ATTR_INI = "Ini";

    /** Eigenschaft der Klasse Variante. */
    public static final String ATTR_MINDESTSTUFE = "Mindeststufe";

    /** Enthaelt die Id einer Nahkampfwaffe. */
    public static final String ATTR_NAHKAMPFWAFFE = "Nahkampfwaffe";

    /** Enthaelt den Namen einer Waffe oder Ruestung. */
    public static final String ATTR_NAME = "Name";

    /** Eigenschaft der Klasse Variante. */
    public static final String ATTR_PRO_STUFE  = "ProStufe";

    /** Enthaelt die Reichweiten einer Fernkampfwaffe. */
    public static final String ATTR_REICHWEITEN = "Reichweiten";

    /** Enthaelt den Ruestungschutz einer Ruestung. */
    public static final String ATTR_RS = "Rs";

    /** Enthaelt die ID einer Repraesentation. */
    public static final String ATTR_REPRAESENTATION = "Repraesentation";

    /** Enthaelt die Id einer Ruestung. */
    public static final String ATTR_RUESTUNG = "Ruestung";

    /** Enthaelt den Schadenschritt fuer die TP/KK einer Waffe. */
    public static final String ATTR_SCHADENSSCHRITT = "Schadensschritt";

    /** Eigenschaft der Klasse Variante. */
    public static final String ATTR_SCHRITTWEITE  = "Schrittweite";

    /** Enthaelt die Id eines Schildes. */
    public static final String ATTR_SCHILD = "Schild";

    /** Enthaelt den Schwellenwert fuer die TP/KK einer Waffe. */
    public static final String ATTR_SCHWELLENWERT = "Schwellenwert";

    /** Enthaelt eine Id einer Sonderfertigkeit. */
    public static final String ATTR_SONDERFERTIGKEIT =
        "Sonderfertigkeit";

    /**
     * Gibt an ob der Held eine spezielle Erfahrung auf einen Wert erhalten hat.
     */
    public static final String ATTR_SPEZIELLE_ERFAHRUNG = "SpezielleErfahrung";

    /** Eine Steigerungsspalte aus der Kostentabelle. */
    public static final String ATTR_STEIGERUNGSSPALTE = "Steigerungsspalte";

    /** Enthaelt die Stufe eines Wertes. */
    public static final String ATTR_STUFE = "Stufe";

    /** Enthaelt die Id eines Talents. */
    public static final String ATTR_TALENT = "Talent";

    /** Enthaelt die Formel fuer die Trefferpunkte einer Waffe. */
    public static final String ATTR_TP = "Tp";

    /** Enthaelt die TP+ einer Fernkampfwaffe. */
    public static final String ATTR_TP_PLUS = "TpPlus";

    /** Enthaelt die Id eines SchildTyps. */
    public static final String ATTR_TYP = "Typ";

    /** Enthaelt die unmodifizierte Stufe eines Talentwerts. */
    public static final String ATTR_UNMODIFIZIERTE_STUFE =
        "UnmodifizierteStufe";

    /** Enthaelt die Id einer Variante oder die Variante als Text. */
    public static final String ATTR_VARIANTE = "Variante";

    /** Enthaelt die Id eines Vor-/Nachteils. */
    public static final String ATTR_VOR_NACHTEIL = "VorNachteil";

    /** Enthaelt Attackemodifikator einer Waffe. */
    public static final String ATTR_WM_AT = "WmAt";

    /** Enthaelt den Parademodifikator einer Waffe. */
    public static final String ATTR_WM_PA = "WmPa";

    /** Enthaelt die Id eines Zaubers. */
    public static final String ATTR_ZAUBER = "Zauber";

    /**
     * Enthaelt die zugekauften Punkte einer Eigenschaft oder eines
     * Basiswerts.
     */
    public static final String ATTR_ZUKAUF = "Zukauf";

    /** Enthaelt das Alter des Helden. */
    public static final String TAG_ALTER = "Alter";

    /** Enthaelt die Id einer Augenfarbe oder die Farbe als Text. */
    public static final String TAG_AUGENFARBE = "Augenfarbe";

    /** Enthaelt die Beschreibung des Aussehens des Helden. */
    public static final String TAG_AUSSEHEN = "Aussehen";

    /** Enthaelt die Daten eines Basiswerts des Helden. */
    public static final String TAG_BASISWERT_WERT = "BasiswertWert";

    /** Enthaelt die Basiswerte des Helden. */
    public static final String TAG_BASISWERT_WERTE = "BasiswertWerte";

    /** Enthaelt die Daten einer Eigenschaft des Helden. */
    public static final String TAG_EIGENSCHAFT_WERT = "EigenschaftWert";

    /** Enthaelt die Eigenschaften des Helden. */
    public static final String TAG_EIGENSCHAFT_WERTE = "EigenschaftWerte";

    /**
     * Enthaelt die Anzahl AP, die der Held bisher ins Steigern investiert hat.
     */
    public static final String TAG_EINGESETZTE_AP = "EingesetzteAp";

    /** Enthaelt die Fernkampfwaffen eines Helden. */
    public static final String TAG_FERNKAMPFWAFFE_WERTE = "FernkampfwaffeWerte";

    /** Repraesentiert eine Fernkampfwaffe eines Helden. */
    public static final String TAG_FERNKAMPFWAFFE_WERT = "FernkampfwaffeWert";

    /** Enthaelt den Geburtstag des Helden. */
    public static final String TAG_GEBURTSTAG = "Geburtstag";

    /** Enthaelt die gesamten AP die der Held bisher erhalten hat. */
    public static final String TAG_GESAMT_AP = "GesamtAp";

    /** Enthaelt den Namen der Enueration fuer das Geschlecht. */
    public static final String TAG_GESCHLECHT = "Geschlecht";

    /** Enthaelt das Gewicht des Helden in Stein (kg). */
    public static final String TAG_GEWICHT = "Gewicht";

    /** Enthaelt die Groesse des Helden in Halbfingern (cm). */
    public static final String TAG_GROESSE = "Groesse";

    /** Enthaelt die Id einer Haarfabe oder die Haarfabe als Text. */
    public static final String TAG_HAARFARBE = "Haarfarbe";

    /** Enthaelt die Liste der Hauszauber des Helden. */
    public static final String TAG_HAUSZAUBER = "Hauszauber";

    /** Das Wurzelelement des Dokuments. */
    public static final String TAG_HELD = "Held";

    /** Enthaelt die Beschreibung des Hintergrunds des Helden. */
    public static final String TAG_HINTERGRUND = "Hintergrund";

    /** Enthaelt die Id der Kultur des Helden. */
    public static final String TAG_KULTUR = "Kultur";

    /** Enthaelt die Leitsonderfertigkeiten des Helden. */
    public static final String TAG_LEITSONDERFERTIGKEITEN =
        "Leitsonderfertigkeiten";

    /** Enthaelt die Leittalente des Helden. */
    public static final String TAG_LEITTALENTE = "Leittalente";

    /** Enthaelt die Leitzauber des Helden. */
    public static final String TAG_LEITZAUBER = "Leitzauber";

    /** Enthaelt die Id der Muttersprache des Helden. */
    public static final String TAG_MUTTERSPRACHE = "Muttersprache";

    /** Enthaelt die Fernkampfwaffen eines Helden. */
    public static final String TAG_NAHKAMPFWAFFE_WERTE = "NahkampfwaffeWerte";

    /** Repraesentiert eine Nahkampfwaffe eines Helden. */
    public static final String TAG_NAHKAMPFWAFFE_WERT = "NahkampfwaffeWert";

    /** Enthaelt den Namen des Helden. */
    public static final String TAG_NAME = "Name";

    /** Die Probe eines Talents oder eines Zaubers. */
    public static final String TAG_PROBE = "Eigenschaftsprobe";

    /** Enthaelt die Id der Profession des Helden. */
    public static final String TAG_PROFESSION = "Profession";

    /** Enthaelt die Id der Rasse des Helden. */
    public static final String TAG_RASSE = "Rasse";

    /** Enthaelt die Ruestungsteile eines Helden. */
    public static final String TAG_RUESTUNG_WERTE = "RuestungWerte";

    /** Repraesentiert eine Ruestung eines Helden. */
    public static final String TAG_RUESTUNG_WERT = "RuestungWert";

    /** Enthaelt die Schilde eines Helden. */
    public static final String TAG_SCHILD_WERTE = "SchildWerte";

    /** Repraesentiert ein Schild eines Helden. */
    public static final String TAG_SCHILD_WERT = "SchildWert";

    /** Enthaelt eine Id einer Sonderfertigkeit. */
    public static final String TAG_SONDERFERTIGKEIT = "Sonderfertigkeit";

    /** Enthaelt eine Sonderfertigkeit des Helden. */
    public static final String TAG_SONDERFERTIGKEIT_WERT =
        "SonderfertigkeitWert";

    /** Enthaelt die Sonderfertigkeiten des Helden. */
    public static final String TAG_SONDERFERTIGKEIT_WERTE =
        "SonderfertigkeitWerte";

    /** Enthaelt die Beschreibung des Stands des Helden. */
    public static final String TAG_STAND = "Stand";

    /** Enthaelt die Id eines Talents. */
    public static final String TAG_TALENT = "Talent";

    /** Enthaelt einen Talentwert des Helden. */
    public static final String TAG_TALENT_WERT = "TalentWert";

    /** Enthaelt die Talentwerte des Helden. */
    public static final String TAG_TALENT_WERTE = "TalentWerte";

    /** Enthaelt die Titel des Helden. */
    public static final String TAG_TITEL = "Titel";

    /**
     * Enthaelt die Sonderfertigkeiten, die in allen Varianten verbilligt sind.
     */
    public static final String TAG_VERBILLIGTE_SONDERFERTIGKEITEN =
        "VerbilligteSonderfertigkeiten";

    /**
     * Enthaelt die Sonderfertigkeiten, die nur in einer Variante verbilligt
     * sind.
     */
    public static final String TAG_VERBILLIGTE_VARIANTEN =
        "VerbilligteVarianten";

    /** Enthaelt einen Vor-/Nachteil des Helden */
    public static final String TAG_VOR_NACHTEIL_WERT = "VorNachteilWert";

    /** Enthaelt die Vor-/Nachteile des Helden */
    public static final String TAG_VOR_NACHTEIL_WERTE = "VorNachteilWerte";

    /** Enthaelt die Id eines Zaubers. */
    public static final String TAG_ZAUBER = "Zauber";

    /** Enthaelt einen Zauber des Helden. */
    public static final String TAG_ZAUBER_WERT = "ZauberWert";

    /** Enthaelt die Zauber des Helden. */
    public static final String TAG_ZAUBER_WERTE = "ZauberWerte";

    /** Enthaelt die Id der Zweitsprache des Helden. */
    public static final String TAG_ZWEITSPRACHE = "Zweitsprache";

}
