/*
 * This file is part of the TDE Character Generator (TCG).
 *
 * TCG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TCG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TCG.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.bernhardjung.dsaprogramm.bausteine.util;

import de.bernhardjung.dsaprogramm.i18n.I18n;

public enum Geschlecht {

    MAENNLICH( "Geschlecht.maennlich" ),
    WEIBLICH( "Geschlecht.weiblich" );

    private final String lokalisierungsschluessel;

    /**
     * @param derName des Geschlechts.
     */
    private Geschlecht( final String derLokalisierungsschluessel ) {
        
        lokalisierungsschluessel = derLokalisierungsschluessel;
    }

    /**
     * @return "m&auml;nnlich" oder "weiblich".
     */
    @Override
    public String toString() {
        return I18n.i18n( lokalisierungsschluessel );
    }
}
