package de.bernhardjung.dsaprogramm.gui;

import com.jgoodies.forms.builder.ButtonBarBuilder2;
import com.jgoodies.forms.layout.CellConstraints;
import com.jgoodies.forms.layout.FormLayout;
import de.bernhardjung.dsaprogramm.i18n.I18n;
import de.bernhardjung.dsaprogramm.vornachteile.VorNachteilWert;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * In diesem Dialog koennen die Werte eines benutzerdefinierten
 * Vor-/Nachteils gewaehlt werden, z.B. Name und Kosten.
 */
public class DialogBenutzerdefinierterVorNachteil extends JDialog {

    /** Text fuer den Abbrechen-Button. */
    private static final String ABBRECHEN = "DialogDatenquelle.Abbrechen";

    /** Text fuer den OK-Button. */
    private static final String OK = "DialogDatenquelle.Ok";

    /** {@code true} genau dann wenn der Dialog ueber OK geschlossen wurde. */
    private boolean angenommen;

    /** Hier werden die Daten fuer den Vor-/Nachteil eingegeben. */
    private PanelBenutzerdefinierterVorNachteil panel;

    /** */
    public DialogBenutzerdefinierterVorNachteil() {

        JButton abbrechen = new JButton( I18n.i18n( ABBRECHEN ) );
        abbrechen.addActionListener( new ActionListener() {
            public void actionPerformed( ActionEvent e ) {
                setVisible( false );
            }
        } );

        this.angenommen = false;

        JButton ok = new JButton( I18n.i18n( OK ) );
        ok.addActionListener( new ActionListener() {
            public void actionPerformed( ActionEvent e ) {
                angenommen = true;
                setVisible( false );
            }
        } );

        panel = new PanelBenutzerdefinierterVorNachteil();

        ButtonBarBuilder2 buttonBar = new ButtonBarBuilder2();
        buttonBar.addGlue();
        buttonBar.addButton( ok );
        buttonBar.addButton( abbrechen );
        JPanel buttonPanel = new JPanel( new FormLayout( "4dlu, right:P:grow, 4dlu", "P, 4dlu" ) );
        buttonPanel.add( buttonBar.getPanel(), new CellConstraints( 2, 1 ) );

        setLayout( new BorderLayout() );
        add( panel );
        add( buttonPanel, BorderLayout.SOUTH );

        pack();
    }

    /** @return den eingegebenen Vor-/Nachteil. */
    public VorNachteilWert getWert() {
        return panel.getWert();
    }

    /**
     * @return {@code true} genaun dann wenn der Dialog mit OK geschlossen wurde.
     */
    public boolean isAngenommen() {
        return this.angenommen;
    }
}
