/*
 * This file is part of the TDE Character Generator (TCG).
 *
 * TCG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TCG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TCG.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.bernhardjung.dsaprogramm.gui.meta;

import de.bernhardjung.dsaprogramm.sonderfertigkeiten.SonderfertigkeitWert;
import de.bernhardjung.dsaprogramm.util.Beobachtbar;

class PanelMetaSonderfertigkeitenGewaehlte
extends PanelMetaSonderfertigkeitenAbstrakt {

    PanelMetaSonderfertigkeitenGewaehlte(
            final BeobachtbareListe< SonderfertigkeitWert > liste ) {
        super( liste );
    }

    @Override
    void wertAnAbgewaehlt( final int index, final boolean gewaehlt ) {

        gewaehlte.remove( werte.get( index ) );
    }

    public void melden( final Beobachtbar b, final Object arg ) {

        if ( BeobachtbareListe.CLEAR.equals( arg ) ) {

            werte.clear();

            aufbauenBenutzeroberflaeche();

        } else {

            werte.clear();

            werte.addAll( gewaehlte.getElemente() );

            aufbauenBenutzeroberflaeche();

        }
    }
}
