/*
 * This file is part of the TDE Character Generator (TCG).
 *
 * TCG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TCG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TCG.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.bernhardjung.dsaprogramm.util;

import de.bernhardjung.dsaprogramm.i18n.I18n;

public class StringL10n {

    private final Object[] args;
    
    private final String l10nschluessel;
    
    public StringL10n( 
            final String derL10nschluessel, 
            final Object ... dieArgs ) {
        
        args = dieArgs;
        
        l10nschluessel = derL10nschluessel;
    }
    
    @Override
    public String toString() {
        
        return String.format( I18n.i18n( l10nschluessel ), args );
    }
}
