package de.bernhardjung.dsaprogramm.vornachteile.stufen;


import de.bernhardjung.dsaprogramm.basis.Held;
import de.bernhardjung.dsaprogramm.basis.varianten.Variante;
import de.bernhardjung.dsaprogramm.vornachteile.VorNachteilWert;

import java.util.Collection;
import java.util.Collections;

public class StufenVariante implements Stufen {

    public Collection< Object > getAbhaengigkeiten() {

        return Collections.EMPTY_LIST;
    }

    public int getHoechststufe( Held held, VorNachteilWert wert ) {
        Variante variante = wert.getVariante();
        return variante.getHoechststufe();
    }

    public int getMindeststufe( VorNachteilWert wert ) {
        Variante variante = wert.getVariante();
        return variante.getMindeststufe();
    }

    public int getMindeststufe( Held held, VorNachteilWert wert ) {
        return getMindeststufe( wert );
    }

    public int getSchrittweite( VorNachteilWert wert ) {
        Variante variante = wert.getVariante();
        return variante.getSchrittweite();
    }

    public boolean hatStufen( VorNachteilWert wert ) {
        Variante variante = wert.getVariante();
        return variante.hatStufen();
    }
}
